#--------------------------------------------------
if(1) {# load mpiBart R interface
source('load-pbart.R')
}
#--------------------------------------------------
if(1) {#simulate data
set.seed(99)
n=10000 #in sample sample size
np=20000 #out of sample sample size
p=10
sigma=1.0

X=matrix(runif(p*n),ncol=p) #in-sample x
Xp=matrix(runif(p*np),ncol=p) #out-sample x

f=10*sin(2*pi*X[,1]*X[,2])+(X[,3]-.5)^2+X[,4]+X[,5]
y=f+rnorm(n,sd=sigma)
fp=10*sin(2*pi*Xp[,1]*Xp[,2])+(Xp[,3]-.5)^2+Xp[,4]+Xp[,5]
}
#--------------------------------------------------
if(1) {# run mpiBart
numnodes=4 #number of nodes to use in mpi bart
numnodespred=4 #number of nodes to use in prediction calculations
parfit=mpiBart(numnodes,bartmpicstem,X,y,Xp,burn=100,nd=500,thin=1,fname='parjunk',numnodespred=numnodespred)
}
#--------------------------------------------------
if(1) {#plot
# names(parfit)
#[1] "yhattrain" "sigma"     "yhattest"  "ysdtest"   "timetorun"
par(mfrow=c(1,2))
plot(f,parfit$yhattrain);abline(0,1,col='blue',lwd=2)
plot(fp,parfit$yhattest);abline(0,1,col='blue',lwd=2)
}
